Productsup
CDE APIApi referenceMonitoring

Sync Grafana dashboard for a connector.

Sync Grafana dashboard for a connector from the saved template. Syncs viewer permissions based on users who have access to the connector.

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/sync-dashboard

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync-dashboard"
{
  "message": "Grafana dashboard has been synchronized successfully."
}
{
  "message": "Show connector HTTP request failed.",
  "errors": []
}
{
  "message": "Access denied for user."
}
{
  "message": "Failed to sync dashboard. Status code: 500, Response: {\"message\":\"Some error with Grafana.\"}"
}

How is this guide?